#!/bin/bash

# Terminate configure if no PostgreSQL installed in system
array=($(rpmquery -a | grep postgresql))
if [[ ${#array[@]} == 0 ]]; then
    echo "PostgreSQL not installed!"
    exit 0
fi

. ../contrib/functions.sh
. ../contrib/config

read -r -p "Configure PostgreSQL stream replication. Continue ? [y/N]" choice
if ! [[ $choice =~ ^([yY][eE][sS]]|[yY])$ ]]; then
    exit 0
fi

/etc/init.d/pgpool stop

cp bin/pg_* /usr/local/bin/

# Configure listen ip address
echo -n "Please, enter a ip address of PRIMARY server(Default: $PRIMARY_HOST): "
read _PRIMARY_HOST
echo -n "Please, enter a ip address of STANDBY server(Default: $STANDBY_HOST) "
read _STANDBY_HOST

if [[ ! -z $_PRIMARY_HOST ]]; then
    PRIMARY_HOST=$_PRIMARY_HOST
fi
if [[ ! -z $_STANDBY_HOST ]]; then
    STANDBY_HOST=$_STANDBY_HOST
fi

sed -i 's/__PRIMARY_HOST__/'$PRIMARY_HOST'/g' /usr/local/bin/pg_replication
sed -i 's/__STANDBY_HOST__/'$STANDBY_HOST'/g' /usr/local/bin/pg_replication

pg_replication -c
